This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 807029 - Cron should run after remote-fs
Cron should run after remote-fs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cronie (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 15:37 EDT by Edward Z. Yang
Modified: 2012-08-08 05:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Z. Yang 2012-03-26 15:37:16 EDT
Currently, crond's service file has:

[Unit]
Description=Command Scheduler
After=syslog.target network.target sssd.service ypbind.service

Arguably, cron should run after remote-fs.target as well, as user jobs may rely on the remote filesystem.

This affects all later versions of Fedora too.
Comment 1 Marcela Mašláňová 2012-03-27 05:52:43 EDT
You are right. In previous releases with the sysvinit script was crond started at the last service. Sadly, I can't do that in unit.
Comment 2 Marcela Mašláňová 2012-04-04 07:35:34 EDT
Hm, could you try change the unit file?

[Unit]
Description=Command Scheduler
After=syslog.target network.target sssd.service
Before=systemd-user-session.service

I'll fix it in all releases at once as soon as I do a little testing. I might even remove sssd.service from the unit.
Comment 3 Michal Schmidt 2012-04-04 08:00:05 EDT
Marcela,
Note the correct spelling is the plural form: systemd-user-sessions.service
You may have been confused by my typo in bug 809132.

Also note that I suggested to have cron start After systemd-user-sessions.service, not Before.
Comment 4 Marcela Mašláňová 2012-04-04 08:37:46 EDT
(In reply to comment #3)
> Marcela,
> Note the correct spelling is the plural form: systemd-user-sessions.service
> You may have been confused by my typo in bug 809132.
> 
> Also note that I suggested to have cron start After
> systemd-user-sessions.service, not Before.

Oops.

So it should be:
[Unit]
Description=Command Scheduler
After=syslog.target network.target sssd.service systemd-user-sessions.service
Comment 5 Fedora End Of Life 2012-08-07 15:59:47 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Marcela Mašláňová 2012-08-08 05:28:08 EDT
I fixed it in F-18+

Note You need to log in before you can comment on or make changes to this bug.